LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
ConnectionTools Service Reference

`import"ConnectionTools.idl";`

Inheritance diagram for ConnectionTools:

## Public Member Functions
| createWithConnection ([in] com::sun::star::sdbc::XConnection Connection)
Public Member Functions inherited from XConnectionTools
XTableName | createTableName ()
| creates an instance supporting the XTableName interface, which can be used to manipulate table names for various purposes. More...
XObjectNames | getObjectNames ()
| returns an instance supporting the XObjectNames interface, which provides access to functionality around table and query names. More...
XDataSourceMetaData | getDataSourceMetaData ()
| provides access to the application-level data source meta data More...
::com::sun::star::container::XNameAccess | getFieldsByCommandDescriptor ([in] long commandType, [in] string command, [out] ::com::sun::star::lang::XComponent keepFieldsAlive) raises ( com::sun::star::sdbc::SQLException )
| get fields for a result set given by a "command descriptor" More...
::com::sun::star::sdb::XSingleSelectQueryComposer | getComposer ([in] long commandType,[in] string command)
| get the composer initialized with a command and command type. More...

## Detailed Description

Since
  LibreOffice 4.1

## Member Function Documentation

## ◆ createWithConnection()

createWithConnection | ( | [in] com::sun::star::sdbc::XConnection | Connection | ) |

The documentation for this service was generated from the following file:

- com/sun/star/sdb/tools/ConnectionTools.idl